VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties
vmware::vapi::std::errors::InvalidElementConfiguration Class Reference

The `InvalidElementConfiguration` error indicates that an attempt to modify the configuration of an element or a group containing the element failed due to the configuraton of the element. More...

Inherits vmware::vapi::std::errors::Error.

List of all members.

## Public Member Functions
| InvalidElementConfiguration (global::System.Collections.Generic.List< vmware.vapi.std.LocalizableMessage > messages, vmware.vapi.bindings.IStructure data)
| Creates a new instance of this type using the given arguments.
| InvalidElementConfiguration ()
| Creates a default new instance.
override vmware.vapi.bindings.type.StructType | _GetType ()
override vmware.vapi.data.StructValue | _GetDataValue ()
override void | _Validate ()
override bool | _HasTypeNameOf< T > ()
override T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
## Properties
override string | Message`[get]`

## Detailed Description

The `InvalidElementConfiguration` error indicates that an attempt to modify the configuration of an element or a group containing the element failed due to the configuraton of the element.

A typical case is when the method is am attempt to change the group membership of the element fails, in which case a configuration change on the element may allow the group membership change to succeed.

Examples:

- Attempt to move a host with a fault tolerant virtual machine out of a cluster (i.e. make the host a standalone host).
- Attempt to remove a host from a DRS cluster without putting the host into maintenance mode.

## Constructor & Destructor Documentation

vmware::vapi::std::errors::InvalidElementConfiguration::InvalidElementConfiguration | ( | global::System.Collections.Generic.List< vmware.vapi.std.LocalizableMessage > | messages,
|  | vmware.vapi.bindings.IStructure | data
| ) |  | `[inline]`

Creates a new instance of this type using the given arguments.

vmware::vapi::std::errors::InvalidElementConfiguration::InvalidElementConfiguration | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

override T vmware::vapi::std::errors::InvalidElementConfiguration::_ConvertTo< T > | ( |  | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

override vmware.vapi.data.StructValue vmware::vapi::std::errors::InvalidElementConfiguration::_GetDataValue | ( |  | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

override vmware.vapi.bindings.type.StructType vmware::vapi::std::errors::InvalidElementConfiguration::_GetType | ( |  | ) | `[inline, virtual]`

Reimplemented from vmware::vapi::std::errors::Error.

override bool vmware::vapi::std::errors::InvalidElementConfiguration::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

override void vmware::vapi::std::errors::InvalidElementConfiguration::_Validate | ( |  | ) | `[inline, virtual]`

Reimplemented from vmware::vapi::std::errors::Error.

override bool vmware::vapi::std::errors::InvalidElementConfiguration::Equals | ( | object | obj | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

override int vmware::vapi::std::errors::InvalidElementConfiguration::GetHashCode | ( |  | ) | `[inline]`

Reimplemented from vmware::vapi::std::errors::Error.

## Property Documentation

override string vmware::vapi::std::errors::InvalidElementConfiguration::Message`[get]`

Reimplemented from vmware::vapi::std::errors::Error.

The documentation for this class was generated from the following file:

- InvalidElementConfiguration.cs